> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Add user group members

POST https://api.getzep.com/api/v4/user-groups/{group_uuid}/members
Content-Type: application/json

Requires a project API key, or an account-admin bearer token with the X-Zep-Project header. The account must be entitled to attribute-based access control.

Reference: https://docs-beta.getzep.com/sdk-reference/user-group/add-members

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `group_uuid` (string, required) — User group UUID

### Body (application/json)

This endpoint expects a v4.MutateMembersRequest.

- `user_uuids` (list of string, required) — The UUIDs of the users to add or remove.

## Response

### 200

OK

- `added_count` (integer, optional) — The number of users added to the group.
- `no_op_count` (integer, optional) — The number of requested users that already matched the target membership state and were left unchanged.
- `removed_count` (integer, optional) — The number of users removed from the group.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "user_uuids": [
    "string"
  ]
}
```

**Response**

```json
{
  "added_count": 1,
  "no_op_count": 1,
  "removed_count": 1
}
```